Subject: permissions and groups questions

From: Dave Wreski <[email-masked]>
Date: Sat, 17 Jan 1998 08:04:33 -0500 (EST)

Hi all.  I've successfully set up 2.4.2-16 on Solaris 2.5.1, and its
working fine.  I had a few questions I hoped someone could help me with.

1) I had a problem resolving group and password numbers into their actual
names, but after adding libmp.so.1 to my ~ftp/usr/lib, it worked fine.
Why isn't this in the documentation?

2) I remember quite a few years back there being some issues with chroot()
and its security.  Can someone point me to information on potential
chroot() security holes, or a brief rundown on how one might be exploited?

3) I've read the Solaris FAQ about compiling static ls on 2.5.1, and
applied the sh-utils patch, yet I still cannot compile one statically.
There seems to be conflicting documentation and I hoped someone could
clarify how this is done, if at all..  How about gzip and tar?  They
appear to not use libw, so it should be possible, correct?  Does it really
gain that much?

Thanks,
Dave